/*
  upad - A program for debugging, and uploading code to embedded devices.
  Copyright (C) 2016, 2019 John Darrington

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef __BDCCSR_H
#define __BDCCSR_H

#define BDCCSR_ILLCMD 0x0001
#define BDCCSR_ILLACC 0x0002
#define BDCCSR_RDINV  0x0004
#define BDCCSR_NORESP 0x0008

#define BDCCSR_OVRUN  0x0010
#define BDCCSR_RAMWF  0x0020
#define BDCCSR_STOP   0x0040
#define BDCCSR_WAIT   0x0080

#define BDCCSR_ENABLE 0x8000
#define BDCCSR_ACTIVE 0x4000
#define BDCCSR_BDCCIS 0x0200
#define BDCCSR_STEAL  0x0800
#define BDCCSR_CLKSW  0x0400
#define BDCCSR_UNSEC  0x0200
#define BDCCSR_ERASE  0x0100

#endif


/* Local Variables:  */
/* mode: c           */
/* c-style: "gnu"    */
/* End:              */
